ClusterManagementOperationResult (Apache Geode 1.13.0)
Date: 2020-09-07

org.apache.geode.management.api

## Class ClusterManagementOperationResult<A extends ClusterManagementOperation<V>,V extends OperationResult>

- java.lang.Object
- - org.apache.geode.management.api.ClusterManagementResult
  - - org.apache.geode.management.api.ClusterManagementOperationResult<A,V>

- Type Parameters:
    `V` - the type of the operation's result

      @Experimental
      public class ClusterManagementOperationResult<A extends ClusterManagementOperation<V>,V extends OperationResult>
      extends ClusterManagementResult

  Returned by `ClusterManagementService.start(ClusterManagementOperation)` to convey status of launching the async operation, and by `ClusterManagementService.get(ClusterManagementOperation, String)` to describe the status of a started async operation.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.geode.management.api.ClusterManagementResult

      `ClusterManagementResult.StatusCode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClusterManagementOperationResult()` for internal use only
    `ClusterManagementOperationResult(ClusterManagementResult.StatusCode statusCode, String message, Date operationStart, Date operationEnd, A operation, String operationId, V operationResult, Throwable throwable)` normally called by `ClusterManagementService.start(ClusterManagementOperation)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `A` | `getOperation()` Returns the async operation.
    `Date` | `getOperationEnd()` Returns the time the operation was completed.
    `String` | `getOperationId()` returns the operation id started by this operation.
    `V` | `getOperationResult()` Returns the operation result as an extension of `OperationResult`
    `Date` | `getOperationStart()` Returns the time the operation was started
    `Throwable` | `getThrowable()` Returns any exceptions that might be returned as a result of the operation.

    - ### Methods inherited from class org.apache.geode.management.api.ClusterManagementResult

      `equals, getStatusCode, getStatusMessage, hashCode, isSuccessful, setLinks, setStatus, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClusterManagementOperationResult

          public ClusterManagementOperationResult()

      for internal use only

    - #### ClusterManagementOperationResult

          public ClusterManagementOperationResult(ClusterManagementResult.StatusCode statusCode,
                                                  String message,
                                                  Date operationStart,
                                                  Date operationEnd,
                                                  A operation,
                                                  String operationId,
                                                  V operationResult,
                                                  Throwable throwable)

      normally called by `ClusterManagementService.start(ClusterManagementOperation)`

  - ### Method Detail

    - #### getOperation

          public A getOperation()

      Returns the async operation.

    - #### getOperationId

          public String getOperationId()

      returns the operation id started by this operation.

    - #### getOperationStart

          public Date getOperationStart()

      Returns the time the operation was started

    - #### getOperationEnd

          public Date getOperationEnd()

      Returns the time the operation was completed. This value is null while the operation is in process.

    - #### getOperationResult

          public V getOperationResult()

      Returns the operation result as an extension of `OperationResult`

    - #### getThrowable

          public Throwable getThrowable()

      Returns any exceptions that might be returned as a result of the operation. Null in case no exceptions occurred.